<?php $page = basename(__FILE__);
  include('connect.inc.php');
  include('checklogin.php'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <link rel="shortcut icon" href="favicon.ico" />
    <link rel="icon" href="favicon.ico" />
    <title> Symphonic Records Website
    </title>
    <link href="style.css" rel="stylesheet" type="text/css" /> 
    <script type="text/javascript" src="pop.js"></script> 
  </head>
  <body>
    <div id="container">
      <!-- header con logo -->
      <div id="header">
        <?php include('toplogin.php'); ?>
      </div>
      <?php include('navigation.php'); ?>
      <div id="content">
        <h2>Cerca un pezzo</h2><br />
        <form method="post" action="cercatraccia.php">
          <div>
            <p>
              <label for="valore"> Ricerca :
              </label>
              <input name="valore" type="text" size="50" id="valore" /><br />
            </p>
            <p>
              <label for="genere">
              Genere : 
              </label>
              <select name="genere" id="genere">
                <option value="1" selected="selected"> Lirica
                </option>
                <option value="2"> Sinfonica
                </option>
                <option value="3"> Pop
                </option>
                <option value="4"> Jazz
                </option>
                <option value="5"> Cantautori
                </option>
                <option value="6"> Varia
                </option>
              </select>
            </p>
            <p>
              <label for="indice"> Cerca per :
              </label>
              <select name="indice" id="indice">
                <option value="autore" selected="selected"> Autore
                </option>
                <option value="titolo"> Titolo
                </option>
                <option value="genere"> Genere
                </option>
              </select>
            </p>
            <p>
              <input name="Button" type="submit" value="Cerca" />
            </p>
          </div>
        </form>
<?php
$db = connecttodb();
function ricerca($valore,$indice)
{
  $risultato = false;
  switch($indice)
  {    
    case $indice=="autore": //ricerca per autore
    $ricerca = "SELECT tracce.codcd as cod, nome, tracce.titolo as tit, durata, compositore
             FROM cd,tracce,autore
             WHERE autore.codautore=cd.codautore AND tracce.codcd=cd.codcd AND nome LIKE '%$valore%';";
    	break;
    case $indice=="titolo": //ricerca per titolo 
    $ricerca = "SELECT tracce.codcd as cod, nome, tracce.titolo as tit, durata, compositore
             FROM cd,tracce,autore
             WHERE autore.codautore=cd.codautore AND tracce.codcd=cd.codcd AND tracce.titolo LIKE '%$valore%';";
    	break;
    case $indice=="genere": //ricerca per genere
$ricerca = "SELECT tracce.codcd as cod, nome, codsottog, tracce.titolo as tit, durata, compositore
             FROM cd,tracce,autore
             WHERE autore.codautore=cd.codautore AND tracce.codcd=cd.codcd AND codsottog  LIKE '%$valore%';";
    	break; 
  }
  $risric = mysql_query($ricerca);
  echo mysql_error();
  while($row = mysql_fetch_array($risric,MYSQL_ASSOC))
  {
       $codcd = $row['cod'];
       $titolo = $row['tit'];
       $nome = $row['nome'];
       $m = (int)($row['durata']/60);
       $s = $row['durata']%60;
       $compositore = $row['compositore'];
       $risultato = true;
       $popup = "doinfo/cdinfo.php?codcd=$codcd";
       echo "<li>
            <a href=\"$popup\" onclick=\"javascript:popup('$popup','700','350');return false;\">$nome : $titolo, $m.$s, $compositore</a>
            </li>";
  }  
  return $risultato;
}
//richiama la funzione indice se i parametri sono autore o titolo
if(isset($_POST['indice'])&&($_POST['indice']=="autore"
  ||$_POST['indice']=="titolo")&&isset($_POST['valore']))
  {
  echo "<h3>Risultati della ricerca:</h3>\n<ul>\n";
  if(!ricerca(@$_POST['valore'],$_POST['indice'])) echo "</ul>Nessun risultato";
  else echo "</ul>";
  }
//richiama se invece  il genere
if(isset($_POST['indice'])&&$_POST['indice']=="genere")
  {
  echo "<h3>Risultati della ricerca:</h3>\n<ul>\n";
  if(!ricerca(@$_POST['genere'],$_POST['indice'])) echo "</ul>Nessun risultato";
  else echo "</ul>";
  }
 include('footer.php');
?>
