<?php $page = basename(__FILE__);
include ('connect.inc.php'); 
include('checklogin.php');?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <link rel="shortcut icon" href="favicon.ico" />
    <link rel="icon" href="favicon.ico" />
    <title> Symphonic Records Website
    </title>
    <link href="style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="pop.js"></script>
  </head>
  <body>
    <div id="container">
      <!-- header con logo -->
      <div id="header">
        <?php include('toplogin.php'); ?>
      </div>
      <?php include('navigation.php'); ?>
      <div id="content">
        <h2>Inserisci le informazioni sull'autore</h2>
        <br />
        <!--<form method="post" action="insaut.php">-->
        <form method="post"  action="insaut.php" enctype="multipart/form-data">
          <div>
            <p>
              <label for="nome"> Nome :
              </label>
              <input name="nome" type="text" size="50" id="nome" /><br />
            </p>
            <p>
              <label for="tipo">
                Tipo : 
              </label><br />
              <select name="tipo" id="tipo">
                <option value="1" selected="selected"> Solista
                </option>
                <option value="2"> Gruppo
                </option>
                <option value="3"> Orchestra
                </option>
              </select>
            </p>
            <p>
              <label for="genere">
                Genere : 
              </label><br />
              <select name="genere" id="genere">
                <option value="1" selected="selected">Musica Classica
                </option>
                <option value="2"> Musica Leggera
                </option>
              </select>
            </p>
            <p>
              <label for="foto"> Foto : 
              </label>
              <input type="file" name="foto" size="30" id="foto" readonly="readonly" />
              <br />
            </p>
            <p>
              <label for="ncomponenti"> Numero componenti :
              </label>
              <input name="ncomponenti" type="text" size="5" id="ncomponenti" /><br />
            </p>
            <p>
              <label for="website"> Sito web :
              </label>
              <input name="website" type="text" size="50" id="website" /><br />
            </p>
            <p>
              <label for="biografia"> Biografia :
              </label><br />
              <textarea cols="60" rows="6" name="biografia" id="biografia"></textarea>
            </p>
            <p>
            <input name="Button" type="submit" value="Inserisci" />
            </p>
          </div>
        </form>
<?php
//controlla le variabili passate tramite metodo post
if(!(isset($_POST['nome'])&&isset($_POST['tipo'])&&isset($_POST['genere'])
&&isset($_POST['ncomponenti'])&&isset($_POST['website'])&&isset($_POST['biografia']) ))
{
  include('footer.php');
  exit();
}
?>
<h3 class="info">Risultati inserimento:</h3>
<?php
$db = connecttodb();

$nome = $_POST['nome'];
$tipo = $_POST['tipo'];
$genere = $_POST['genere'];
$ncomponenti = $_POST['ncomponenti'];
$website = $_POST['website'];
$biografia = $_POST['biografia'];

if( $nome==""||$tipo==""||$genere==""||$ncomponenti=="")
{
    echo "Alcuni dati importanti non sono stati inseriti";
    include('footer.php');
    exit();
}


//salva la immagine
$path = "autori/"; //percorso dove la immagine viene salvata
$foto = $path."generic.jpg"; //immagine generica dove non venga inserita 
if($HTTP_POST_FILES['foto']['tmp_name']!="") //controlla se esiste il file temporaneo
{
 if (is_uploaded_file($HTTP_POST_FILES['foto']['tmp_name']))
 {
  //controlla che il tipo di file sia una gif/jpeg
  if (($HTTP_POST_FILES['foto']['type']=="image/gif") || ($HTTP_POST_FILES['foto']['type']=="image/pjpeg") || ($HTTP_POST_FILES['foto']['type']=="image/jpeg")) 
  {
    $res = copy($HTTP_POST_FILES['foto']['tmp_name'], $path.$HTTP_POST_FILES['foto']['name']);
    if (!$res){ echo "Upload immagine fallito!<br />\n"; include('footer.php'); exit(); }
     else { echo "Upload immagine riuscito.<br />\n"; $foto = $HTTP_POST_FILES['foto']['name'];}
  }
  else{
    echo "Tipo di immagine errato sono ammessi solo gif/jpeg.";
    include('footer.php');
    exit();
  }
 }
  else{
    echo "Errore nell'upload dell'immagine";
    include('footer.php');
    exit();
 }
}

//inserisci i dati dell'autore nel database
$query = "INSERT INTO autore (codcasa,nome,codtipo,genere,foto,numcomponenti,website,biografia)
          VALUES ('1','$nome','$tipo','$genere','$foto','$ncomponenti','$website','$biografia');";
$ris = mysql_query ($query);
if(!$ris)
    echo "L'autore  gi stato inserito.";
else
    echo "Dati inseriti correttamente.";

include('footer.php');
?>
