<?php

//Questo file contiene le query da effettuare per creare le tabelle
//con codice relativo

function createdatabase()
{

$autore = "CREATE TABLE autore (
          codautore INT (10) UNSIGNED not null AUTO_INCREMENT PRIMARY KEY,
          codcasa INT (10) UNSIGNED not null,
          codtipo INT (10) UNSIGNED not null,
          nome VARCHAR (255) not null UNIQUE KEY,
          foto VARCHAR (255),
          numcomponenti INT (5),
          website VARCHAR (255),
          biografia MEDIUMTEXT,
          genere INT (10) );";

$casadiscografica = "CREATE TABLE casadiscografica (
                    codice INT (10) UNSIGNED not null AUTO_INCREMENT PRIMARY KEY,
                    email VARCHAR (255),
                    fax VARCHAR (255),
                    ragionesociale VARCHAR (255),
                    telefono VARCHAR (255) );";

$CD = "CREATE TABLE cd (
      codcd INT (10) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
      codautore INT (10) UNSIGNED,
      codsottog INT (10) UNSIGNED,
      copertina   VARCHAR (255),
      datapubblicazione INT(10) UNSIGNED,
      duratacomplessiva INT(10) UNSIGNED,
      prezzo Double,
      titolo VARCHAR (255) );";

$genere = "CREATE TABLE genere (
          codgenere INT (10) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
          descrizione VARCHAR (255) );";

$localita = "CREATE TABLE localita (
            cap INT (10) UNSIGNED PRIMARY KEY,
            nome VARCHAR (255),
            provincia VARCHAR (2) );";

$sede = "CREATE TABLE sede (
        codsede INT (10) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
        codcasa INT (10) UNSIGNED,
        email VARCHAR (255),
        fax VARCHAR (255),
        localita INT (10) UNSIGNED,
        nome VARCHAR (255),
        telefono VARCHAR (255),
        via VARCHAR (255) );";

$sottogenere = "CREATE TABLE sottogenere (
                codsottogenere INT (10) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
                descrizione VARCHAR (255),
                codgenere INT (10) );";

$tipo = "CREATE TABLE tipo (
        codtipo INT (10) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
        descrizione VARCHAR (255) );";

$tracce = "CREATE TABLE tracce (
          codtraccia INT (10) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
          codcd INT (10) UNSIGNED,
          compositore VARCHAR (255),
          durata INT (10),
          titolo VARCHAR (255));";

$utente = "CREATE TABLE utente (
          codutente INT (10) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
          codlocalita INT (10) UNSIGNED,
          nome VARCHAR (255),
          cognome VARCHAR (255),
          datanascita INT (10) UNSIGNED,
          telefono VARCHAR (255),
          via VARCHAR (255),
          username VARCHAR (255) UNIQUE,
          password VARCHAR (255),
          email VARCHAR (255) );";

function create_table($query) //effettua la query e segnala  gli errori
{
 global $external_hosting;
 $ris = mysql_query ($query);
 if($ris == NULL && $external_hosting == false)
 {
  //se  avvenuto un'errore durante la creazione delle tabelle cancella il database
    global $db_name;
    echo "Errore : ".mysql_error();
    $query = "DROP DATABASE ".$db_name;
    mysql_query($query);
    include('../footer.php');
    exit();
 }   
}

//Crea le tabelle nel nuovo database MySQL
create_table($autore); //Tabella Autore
create_table($casadiscografica); //Tabella CasaDiscografica
create_table($CD); //Tabella CD
create_table($genere); //Tabella Genere
create_table($localita); //Tabella Localit
create_table($sede); //Tabella Sede
create_table($sottogenere); //Tabella Sottogenere
create_table($tipo); //Tabella Tipo
create_table($tracce); //Tabella Tracce
create_table($utente); //Tabella Utente
//finito di creare le tabelle

}

?>
